using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace F91165
{
    public partial class Form1 : Form
    {
        private int rowcount = 20;
        private string[] dept ={ "CIVIL", "MECHANICAL", "EEE", "ECE", "IT", "CSE", "BIO-TECH", "AERO", "MARINE", "TEXTILE" };
        private string[] year ={ "I", "II", "III", "IV" };
        private DataTable dt;
        private Random r;

        public Form1()
        {
            InitializeComponent();

            #region DataSource
            dt = new DataTable();
            dt.Columns.Add("SNo");
            dt.Columns.Add("StudentID");
            dt.Columns.Add("Department");
            dt.Columns.Add("Year");
            dt.Columns.Add("Location");

            r = new Random(124321);
            for (int i = 0; i < rowcount; i++)
            {
                DataRow dr = dt.NewRow();
                if ((i + 1) < 10)
                {
                    dr[0] = "0" + (i + 1).ToString();
                    dr[1] = "S" + "0" + (i + 1).ToString();
                }
                else
                {
                    dr[0] = (i + 1).ToString();
                    dr[1] = "S" + (i + 1).ToString();
                }
                dr[2] = dept[r.Next(0, 9)];
                dr[3] = year[r.Next(0, 3)];
                dr[4] = "City";
                dt.Rows.Add(dr);
            }
            #endregion

            this.gridDataBoundGrid1.DataSource = dt;

            DataView dv = dt.DefaultView;
            dv.RowFilter = "[Department] like 'MECHANICAL'";

            this.gridDataBoundGrid1.Model.HideCols[3] = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DataTable dt1 = (DataTable)this.gridDataBoundGrid1.DataSource;
            if (dt1 != null)
            {
                dt1.Rows.Add(new object[] { dt1.Rows.Count + 1, "S" + dt1.Rows.Count + 1, dept[r.Next(0, 9)], year[r.Next(0, 3)], "City" });
                dt1.AcceptChanges();
            }
        }
    }
}